Debian Bug report logs - #644904
omniidl: fails to install on sid

version graph

Package: omniidl; Maintainer for omniidl is Debian CORBA Team <pkg-corba-devel@lists.alioth.debian.org>; Source for omniidl is src:omniorb-dfsg.

Reported by: Haïkel Guémar <haikel.guemar@sysfera.com>

Date: Mon, 10 Oct 2011 13:45:02 UTC

Severity: normal

Found in version omniorb-dfsg/4.1.5-2

Fixed in version omniorb-dfsg/4.1.6-1

Done: Thomas Girard <thomas.g.girard@free.fr>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian CORBA Team <pkg-corba-devel@lists.alioth.debian.org>:
Bug#644904; Package omniidl. (Mon, 10 Oct 2011 13:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Haïkel Guémar <haikel.guemar@sysfera.com>:
New Bug report received and forwarded. Copy sent to Debian CORBA Team <pkg-corba-devel@lists.alioth.debian.org>. (Mon, 10 Oct 2011 13:45:14 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Haïkel Guémar <haikel.guemar@sysfera.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: omniidl: fails to install on sid
Date: Mon, 10 Oct 2011 15:42:07 +0200
Package: omniidl
Version: 4.1.5-2
Severity: important

Dear Maintainer,
   * What led up to the situation?
     Tried to build DIET (grid middleware based on omniORB) on debian/sid

   * What exactly did you do (or not do) that was effective (or
     ineffective)?
     building DIET in a sid chroot

   * What was the outcome of this action?
     omniidl couldn't be installed anymore since Python 2.7 upgrade

   * What outcome did you expect instead?
     omniidl installs on sid and plays nicely with python 2.7
-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 3.0.0-2-686-pae (SMP w/1 CPU core)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages omniidl depends on:
ii  libc6       2.13-21   ii  libgcc1     1:4.6.1-14
ii  libstdc++6  4.6.1-14  ii  python      2.7.2-9
omniidl recommends no packages.

Versions of packages omniidl suggests:
pn  omniidl-python  <none>

-- no debconf information




Severity set to 'normal' from 'important' Request was from Floris Bruynooghe <flub@devork.be> to control@bugs.debian.org. (Tue, 11 Oct 2011 16:00:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian CORBA Team <pkg-corba-devel@lists.alioth.debian.org>:
Bug#644904; Package omniidl. (Tue, 11 Oct 2011 16:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Floris Bruynooghe <flub@devork.be>:
Extra info received and forwarded to list. Copy sent to Debian CORBA Team <pkg-corba-devel@lists.alioth.debian.org>. (Tue, 11 Oct 2011 16:06:05 GMT) Full text and rfc822 format available.

Message #12 received at 644904@bugs.debian.org (full text, mbox):

From: Floris Bruynooghe <flub@devork.be>
To: Haïkel Guémar <haikel.guemar@sysfera.com>, 644904@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: [Pkg-corba-devel] Bug#644904: omniidl: fails to install on sid
Date: Tue, 11 Oct 2011 16:58:24 +0100
severity 644904 normal
thanks

Hello Haïkel,

Could you provide some more information on how the installation of
omniidl fails for you?  I've just installed it in my sid chroot with
python 2.7 as the default and everything works just fine (hence I
lowered the severity to not be RC).  Any chance your chroot is just in
a funny state?

Thanks,
Floris


-- 
Debian GNU/Linux -- The Power of Freedom
www.debian.org | www.gnu.org | www.kernel.org




Added tag(s) squeeze. Request was from "Rémi Denis-Courmont" <remi@remlab.net> to control@bugs.debian.org. (Tue, 11 Oct 2011 20:15:08 GMT) Full text and rfc822 format available.

Removed tag(s) squeeze. Request was from "Rémi Denis-Courmont" <remi@remlab.net> to control@bugs.debian.org. (Tue, 11 Oct 2011 20:21:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian CORBA Team <pkg-corba-devel@lists.alioth.debian.org>:
Bug#644904; Package omniidl. (Wed, 12 Oct 2011 08:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Haïkel Guémar <haikel.guemar@sysfera.com>:
Extra info received and forwarded to list. Copy sent to Debian CORBA Team <pkg-corba-devel@lists.alioth.debian.org>. (Wed, 12 Oct 2011 08:24:04 GMT) Full text and rfc822 format available.

Message #21 received at 644904@bugs.debian.org (full text, mbox):

From: Haïkel Guémar <haikel.guemar@sysfera.com>
To: Floris Bruynooghe <flub@devork.be>
Cc: 644904@bugs.debian.org, control@bugs.debian.org
Subject: Re: [Pkg-corba-devel] Bug#644904: omniidl: fails to install on sid
Date: Wed, 12 Oct 2011 10:20:20 +0200
Hi,

i'm using pbuilder to build my package. The Debian Developer (Sylvestre 
Ledru) who sponsored my package had the same issue with cowbuilder.
I reproduced that issue on a fresh pbuilder chroot (i refreshed apt 
package cache and checked that python 2.7.2 is installed before):

---------------------------------------------
# apt-get install omnniidl
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package omnniidl
root@debuilder1:/# apt-get install omniidl
Reading package lists... Done
Building dependency tree
Reading state information... Done
Suggested packages:
  omniidl-python
The following NEW packages will be installed:
  omniidl
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Need to get 368 kB of archives.
After this operation, 1466 kB of additional disk space will be used.
Get:1 http://ftp.us.debian.org/debian/ sid/main omniidl i386 4.1.5-2 
[368 kB]
Fetched 368 kB in 1s (309 kB/s)
Selecting previously unselected package omniidl.
(Reading database ... 14116 files and directories currently installed.)
Unpacking omniidl (from .../omniidl_4.1.5-2_i386.deb) ...
Processing triggers for man-db ...
Setting up omniidl (4.1.5-2) ...
E: pycompile:234: Requested versions are not installed
dpkg: error processing omniidl (--configure):
 subprocess installed post-installation script returned error exit status 3
configured to not write apport reports
                                      Errors were encountered while 
processing:
 omniidl
E: Sub-process /usr/bin/dpkg returned an error code (1)
-------------------------------------

best regards,
H.

-- 
Haïkel Guémar
Software Engineer - SysFera
www.sysfera.com
+33.4.81.76.16.31





Information forwarded to debian-bugs-dist@lists.debian.org, Debian CORBA Team <pkg-corba-devel@lists.alioth.debian.org>:
Bug#644904; Package omniidl. (Wed, 12 Oct 2011 19:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Floris Bruynooghe <flub@devork.be>:
Extra info received and forwarded to list. Copy sent to Debian CORBA Team <pkg-corba-devel@lists.alioth.debian.org>. (Wed, 12 Oct 2011 19:21:03 GMT) Full text and rfc822 format available.

Message #26 received at 644904@bugs.debian.org (full text, mbox):

From: Floris Bruynooghe <flub@devork.be>
To: Haïkel Guémar <haikel.guemar@sysfera.com>, 644904@bugs.debian.org
Subject: Re: [Pkg-corba-devel] Bug#644904: Bug#644904: omniidl: fails to install on sid
Date: Wed, 12 Oct 2011 20:18:57 +0100
Hello,

On Wed, Oct 12, 2011 at 10:20:20AM +0200, Haïkel Guémar wrote:
> i'm using pbuilder to build my package. The Debian Developer
> (Sylvestre Ledru) who sponsored my package had the same issue with
> cowbuilder.
> I reproduced that issue on a fresh pbuilder chroot (i refreshed apt
> package cache and checked that python 2.7.2 is installed before):

Thanks for this extra information, it was me who had an un-clean
chroot.  It seems I still had python 2.6 installed and with that
missing I can reproduce your problem.

Regards,
Floris

-- 
Debian GNU/Linux -- The Power of Freedom
www.debian.org | www.gnu.org | www.kernel.org




Information forwarded to debian-bugs-dist@lists.debian.org, Debian CORBA Team <pkg-corba-devel@lists.alioth.debian.org>:
Bug#644904; Package omniidl. (Wed, 26 Oct 2011 08:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Haïkel Guémar <haikel.guemar@sysfera.com>:
Extra info received and forwarded to list. Copy sent to Debian CORBA Team <pkg-corba-devel@lists.alioth.debian.org>. (Wed, 26 Oct 2011 08:21:03 GMT) Full text and rfc822 format available.

Message #31 received at 644904@bugs.debian.org (full text, mbox):

From: Haïkel Guémar <haikel.guemar@sysfera.com>
To: Floris Bruynooghe <flub@devork.be>
Cc: 644904@bugs.debian.org
Subject: Re: [Pkg-corba-devel] Bug#644904: Bug#644904: omniidl: fails to install on sid
Date: Wed, 26 Oct 2011 10:14:57 +0200
Hi,

is there anything new about this issue ?

best regards,
H.

-- 
Haïkel Guémar
Software Engineer - SysFera
www.sysfera.com
+33.4.81.76.16.31





Reply sent to Thomas Girard <thomas.g.girard@free.fr>:
You have taken responsibility. (Mon, 28 Nov 2011 17:03:08 GMT) Full text and rfc822 format available.

Notification sent to Haïkel Guémar <haikel.guemar@sysfera.com>:
Bug acknowledged by developer. (Mon, 28 Nov 2011 17:03:08 GMT) Full text and rfc822 format available.

Message #36 received at 644904-close@bugs.debian.org (full text, mbox):

From: Thomas Girard <thomas.g.girard@free.fr>
To: 644904-close@bugs.debian.org
Subject: Bug#644904: fixed in omniorb-dfsg 4.1.6-1
Date: Mon, 28 Nov 2011 17:00:57 +0000
Source: omniorb-dfsg
Source-Version: 4.1.6-1

We believe that the bug you reported is fixed in the latest version of
omniorb-dfsg, which is due to be installed in the Debian FTP archive:

libcos4-1-dbg_4.1.6-1_i386.deb
  to main/o/omniorb-dfsg/libcos4-1-dbg_4.1.6-1_i386.deb
libcos4-1_4.1.6-1_i386.deb
  to main/o/omniorb-dfsg/libcos4-1_4.1.6-1_i386.deb
libcos4-dev_4.1.6-1_i386.deb
  to main/o/omniorb-dfsg/libcos4-dev_4.1.6-1_i386.deb
libomniorb4-1-dbg_4.1.6-1_i386.deb
  to main/o/omniorb-dfsg/libomniorb4-1-dbg_4.1.6-1_i386.deb
libomniorb4-1_4.1.6-1_i386.deb
  to main/o/omniorb-dfsg/libomniorb4-1_4.1.6-1_i386.deb
libomniorb4-dev_4.1.6-1_i386.deb
  to main/o/omniorb-dfsg/libomniorb4-dev_4.1.6-1_i386.deb
libomnithread3-dev_4.1.6-1_i386.deb
  to main/o/omniorb-dfsg/libomnithread3-dev_4.1.6-1_i386.deb
libomnithread3c2-dbg_4.1.6-1_i386.deb
  to main/o/omniorb-dfsg/libomnithread3c2-dbg_4.1.6-1_i386.deb
libomnithread3c2_4.1.6-1_i386.deb
  to main/o/omniorb-dfsg/libomnithread3c2_4.1.6-1_i386.deb
omniidl_4.1.6-1_i386.deb
  to main/o/omniorb-dfsg/omniidl_4.1.6-1_i386.deb
omniorb-dfsg_4.1.6-1.debian.tar.gz
  to main/o/omniorb-dfsg/omniorb-dfsg_4.1.6-1.debian.tar.gz
omniorb-dfsg_4.1.6-1.dsc
  to main/o/omniorb-dfsg/omniorb-dfsg_4.1.6-1.dsc
omniorb-dfsg_4.1.6.orig.tar.bz2
  to main/o/omniorb-dfsg/omniorb-dfsg_4.1.6.orig.tar.bz2
omniorb-doc_4.1.6-1_all.deb
  to main/o/omniorb-dfsg/omniorb-doc_4.1.6-1_all.deb
omniorb-idl_4.1.6-1_all.deb
  to main/o/omniorb-dfsg/omniorb-idl_4.1.6-1_all.deb
omniorb-nameserver_4.1.6-1_i386.deb
  to main/o/omniorb-dfsg/omniorb-nameserver_4.1.6-1_i386.deb
omniorb_4.1.6-1_i386.deb
  to main/o/omniorb-dfsg/omniorb_4.1.6-1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 644904@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Thomas Girard <thomas.g.girard@free.fr> (supplier of updated omniorb-dfsg package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 28 Nov 2011 10:22:49 +0100
Source: omniorb-dfsg
Binary: omniorb omniorb-idl omniorb-nameserver omniorb-doc libcos4-1 libcos4-1-dbg libcos4-dev libomniorb4-1 libomniorb4-1-dbg libomniorb4-dev libomnithread3c2 libomnithread3c2-dbg libomnithread3-dev omniidl
Architecture: source all i386
Version: 4.1.6-1
Distribution: unstable
Urgency: low
Maintainer: Debian CORBA Team <pkg-corba-devel@lists.alioth.debian.org>
Changed-By: Thomas Girard <thomas.g.girard@free.fr>
Description: 
 libcos4-1  - omniORB CORBA services stubs
 libcos4-1-dbg - omniORB CORBA services stubs debugging symbols
 libcos4-dev - omniORB CORBA services stubs development files
 libomniorb4-1 - omniORB core libraries
 libomniorb4-1-dbg - omniORB core libraries debugging symbols
 libomniorb4-dev - omniORB core libraries development files
 libomnithread3-dev - C++ threading library development files
 libomnithread3c2 - C++ threading library
 libomnithread3c2-dbg - C++ threading library debugging symbols
 omniidl    - omniORB IDL to C++ and Python compiler
 omniorb    - IOR and naming service utilities for omniORB
 omniorb-doc - omniORB documentation
 omniorb-idl - omniORB CORBA services idl files
 omniorb-nameserver - omniORB naming service
Closes: 641571 644904
Changes: 
 omniorb-dfsg (4.1.6-1) unstable; urgency=low
 .
   [ Floris Bruynooghe ]
   * New upstream release
   * Add build-arch and build-indep targets in debian/rules
   * Bump standards-version to 3.9.2: no changes
   * Make init.d script's Provides: match the script name
   * Add catior_manpage patch to fix minus sign instead of hyphen in
     the manual page.
   * Remove manpages included upstream from debian/
   * Add patch for hurd FTBFS, thanks Pino Toscano (Closes: #641571)
   * Rebuild sorts out omniidl python versions (Closes: #644904)
 .
   [ Thomas Girard ]
   * debian/control: Add DM-Upload-Allowed: yes so that Floris can upload when
     he is Debian Maintainer.
   * Bump shlib to 4.1.6 because of new inline functions in public headers.
Checksums-Sha1: 
 b4bc239778b3a6b69ada34bec068d02c470c77d2 2081 omniorb-dfsg_4.1.6-1.dsc
 3b139363a7489710277207790379ecee0e60f049 2235099 omniorb-dfsg_4.1.6.orig.tar.bz2
 a319949482c8164da5bcdc0c8462a8dc52fb7aa4 18895 omniorb-dfsg_4.1.6-1.debian.tar.gz
 ef855e5dc155476053300099837f437a45312e0e 75646 omniorb-idl_4.1.6-1_all.deb
 3acef97656cc36342941f68d0ef330ea3a98ca62 651298 omniorb-doc_4.1.6-1_all.deb
 5ecc0689c93114456e874648d0e241a054698986 71900 omniorb_4.1.6-1_i386.deb
 b0505a1f1503e884ac7fe5fb9be672038a19770a 80014 omniorb-nameserver_4.1.6-1_i386.deb
 a4535aa34fb50e1e40280d2d062a7c1ea5b2137f 2017502 libcos4-1_4.1.6-1_i386.deb
 9d79414e1931cc28442acbec549feab80766b3a3 521798 libcos4-1-dbg_4.1.6-1_i386.deb
 f4df6a5cd1f3d2cd6703de6a6cdebb8d11b8ee3e 2235308 libcos4-dev_4.1.6-1_i386.deb
 8da60ba38bc58c0368dce3da6f5c793b3d9a9c83 1454844 libomniorb4-1_4.1.6-1_i386.deb
 dee36289817fca255040416f13be2426cc86c552 276322 libomniorb4-1-dbg_4.1.6-1_i386.deb
 9363e8b48e44764c4f862c5a2567714b77079bed 1956018 libomniorb4-dev_4.1.6-1_i386.deb
 4ca81c83479fb2355a3c19329d32e68cb0aceede 43246 libomnithread3c2_4.1.6-1_i386.deb
 587a6eecb0b484904e160a667d22dcb93f2b4073 37444 libomnithread3c2-dbg_4.1.6-1_i386.deb
 0ee75852fd49630c078584be3887655399699960 50020 libomnithread3-dev_4.1.6-1_i386.deb
 01ff758db9b13ec1e929a67ed11f909e30518ded 362256 omniidl_4.1.6-1_i386.deb
Checksums-Sha256: 
 ff410a6af5a5ff4ba5670880a7f60d9130f29eb2ca6d574d5b67a65f877538e3 2081 omniorb-dfsg_4.1.6-1.dsc
 0561878db34b50b77d19d9ae09d9b575e31d4d4fcfa44e487a10bb38b486d8b9 2235099 omniorb-dfsg_4.1.6.orig.tar.bz2
 46cd6cc0d52b2265810d7a05fde8676cf093021b677f9c5c9d7f7a2044fc1be8 18895 omniorb-dfsg_4.1.6-1.debian.tar.gz
 caa2964d90f468876b735ca3356692b50538df1207e55131f72cacd2cb75f5f8 75646 omniorb-idl_4.1.6-1_all.deb
 b788944d72c7ac56378fa65c60376afc12e765ddc114a9d778de4193f4d4267e 651298 omniorb-doc_4.1.6-1_all.deb
 40a4e0ae89e71be7a397a8fd1cfa01b50421f399a0b08b8d3d6d481eb73f2e5a 71900 omniorb_4.1.6-1_i386.deb
 a0d1656adccd68b566995e2e931b14c95806eb2b3f1cfeed2f281aef96e1058f 80014 omniorb-nameserver_4.1.6-1_i386.deb
 9bd33a6ae9d6cd65d8b5c88a3fba3ff8fce75d7e0724291277aae5131dc6db84 2017502 libcos4-1_4.1.6-1_i386.deb
 9df4abb5f29c89f6c42fe1a11e8acf7b55df928e60e9aeb16e75c034ab3620ff 521798 libcos4-1-dbg_4.1.6-1_i386.deb
 102a0b79de17d1712026d5a947a6c916fed61b658649239f140aa69db80c9ce5 2235308 libcos4-dev_4.1.6-1_i386.deb
 8b64d6f998a2255d73b15c9139476ced3a6636040fb4f278415d8a7be9b8bbb1 1454844 libomniorb4-1_4.1.6-1_i386.deb
 bf77b4f746ad08003fdd6626b9dd5b5ade11d7342a78e9dd1d34778e13ed306c 276322 libomniorb4-1-dbg_4.1.6-1_i386.deb
 a03d99ef11d9aa56b341dfd7cd6903dd0cd692953ea61421861e3c79f22ee35a 1956018 libomniorb4-dev_4.1.6-1_i386.deb
 5cdb21d23c9ea8951e02c64764c9310ebc4a6fe5cfaea0487ec11743b0fdc26b 43246 libomnithread3c2_4.1.6-1_i386.deb
 6f50965bdd8692f33f07a847fae8209fda4c268fe68f17cad0a3fd27ad6c379d 37444 libomnithread3c2-dbg_4.1.6-1_i386.deb
 96498fc960d890d9a38c6c223366aa0c251eb908f37f3b6afc0dbe4ca4c8790f 50020 libomnithread3-dev_4.1.6-1_i386.deb
 2657ac923eeab7733e6908c421ae37c84e667b02742470e304fb17be996c38ec 362256 omniidl_4.1.6-1_i386.deb
Files: 
 68d8afc154dea76f11f4d3daaa7f893b 2081 devel optional omniorb-dfsg_4.1.6-1.dsc
 bb676029e61ff6a8588032b7395365b8 2235099 devel optional omniorb-dfsg_4.1.6.orig.tar.bz2
 960fbc39039da161c1c8ab64cc790afb 18895 devel optional omniorb-dfsg_4.1.6-1.debian.tar.gz
 fd39aa668c24270b2f9eb8f648847e4f 75646 devel optional omniorb-idl_4.1.6-1_all.deb
 63a4be21287fa9d875cf207ca7a741b5 651298 doc optional omniorb-doc_4.1.6-1_all.deb
 9bbb2a8d6e86941ca07174960b298794 71900 devel optional omniorb_4.1.6-1_i386.deb
 1a9b20f2e3802b65717b4145f6236d56 80014 devel optional omniorb-nameserver_4.1.6-1_i386.deb
 63fa01367bc7b87ba562527d45656659 2017502 libs optional libcos4-1_4.1.6-1_i386.deb
 4d5f960c0bf2591532bbc3a361d6b45f 521798 debug extra libcos4-1-dbg_4.1.6-1_i386.deb
 4b178d3866a2029aa3359802373f0bf3 2235308 libdevel optional libcos4-dev_4.1.6-1_i386.deb
 4a24a36a3e1381ae2e66ccb8ee0cebad 1454844 libs optional libomniorb4-1_4.1.6-1_i386.deb
 330552932e94a267443b0de8ec7d712f 276322 debug extra libomniorb4-1-dbg_4.1.6-1_i386.deb
 1312ff6af220591f14ed89e64d0a9c3c 1956018 libdevel optional libomniorb4-dev_4.1.6-1_i386.deb
 146010931e4969109e5d27d903219712 43246 libs optional libomnithread3c2_4.1.6-1_i386.deb
 d3a604712098ed9c7a9aee2d093f39db 37444 debug extra libomnithread3c2-dbg_4.1.6-1_i386.deb
 cee462d696992ac087e221c7b812b38b 50020 libdevel optional libomnithread3-dev_4.1.6-1_i386.deb
 b84c393c8fb9fac753fc03b0d639c1c9 362256 devel optional omniidl_4.1.6-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk7TuS0ACgkQz2LXlDjmjg6aIACfbiXwTVqjquM/TDKWWf74ZeuU
WLwAnicx2D9qgxzo+cxAj16oLMzM+6of
=02/2
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 06 Jan 2012 07:28:40 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 01:38:26 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.